aboutsummaryrefslogtreecommitdiff
path: root/toolchain
diff options
context:
space:
mode:
authorGravatar Peter Korsgaard <jacmet@sunsite.dk>2008-06-19 19:06:25 +0000
committerGravatar Peter Korsgaard <jacmet@sunsite.dk>2008-06-19 19:06:25 +0000
commita5ac61715b70ef628e1239e92ffd7aae859e8294 (patch)
tree15728d9cc383c794196d671ad8262fc1d364e7e8 /toolchain
parent9991e8c7fbd18bf12af66b7cf040d2d7de3ed6c0 (diff)
downloadbuildroot-a5ac61715b70ef628e1239e92ffd7aae859e8294.tar.gz
buildroot-a5ac61715b70ef628e1239e92ffd7aae859e8294.tar.bz2
buildroot: s/depends/depends on/
The new kconfig is more strict regarding depends/depends on, so fixup the tree.
Diffstat (limited to 'toolchain')
-rw-r--r--toolchain/binutils/Config.in10
-rw-r--r--toolchain/gcc/Config.in2
-rw-r--r--toolchain/kernel-headers/Config.in40
-rw-r--r--toolchain/uClibc/Config.in6
4 files changed, 29 insertions, 29 deletions
diff --git a/toolchain/binutils/Config.in b/toolchain/binutils/Config.in
index c44bb449b2..8661bd7777 100644
--- a/toolchain/binutils/Config.in
+++ b/toolchain/binutils/Config.in
@@ -9,20 +9,20 @@ choice
Select the version of binutils you wish to use.
config BR2_BINUTILS_VERSION_2_17
- depends BR2_avr32 || !BR2_nios2 && BR2_DEPRECATED
- depends BR2_EXT_BINUTILS_VERSION_2_17
+ depends on BR2_avr32 || !BR2_nios2 && BR2_DEPRECATED
+ depends on BR2_EXT_BINUTILS_VERSION_2_17
bool "binutils 2.17"
config BR2_BINUTILS_VERSION_2_17_50_0_17
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "binutils 2.17.50.0.17"
config BR2_BINUTILS_VERSION_2_18
- depends !BR2_avr32 && !BR2_nios2
+ depends on !BR2_avr32 && !BR2_nios2
bool "binutils 2.18"
config BR2_BINUTILS_VERSION_2_18_50_0_1
- depends !BR2_avr32 && !BR2_nios2
+ depends on !BR2_avr32 && !BR2_nios2
bool "binutils 2.18.50.0.1"
endchoice
diff --git a/toolchain/gcc/Config.in b/toolchain/gcc/Config.in
index 12d9010dc9..0cd6f97a88 100644
--- a/toolchain/gcc/Config.in
+++ b/toolchain/gcc/Config.in
@@ -43,7 +43,7 @@ choice
bool "gcc 4.3.1"
# config BR2_GCC_VERSION_4_3
-# depends !BR2_avr32 && !BR2_nios2
+# depends on !BR2_avr32 && !BR2_nios2
# select BR2_GCC_IS_SNAP
# bool "gcc 4.3"
endchoice
diff --git a/toolchain/kernel-headers/Config.in b/toolchain/kernel-headers/Config.in
index f6a3f8196a..5b51b6e2cf 100644
--- a/toolchain/kernel-headers/Config.in
+++ b/toolchain/kernel-headers/Config.in
@@ -17,67 +17,67 @@ choice
linux-2.6.tar.bz2 tarball in your download dir.
config BR2_KERNEL_HEADERS_2_4_25
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.4.25 kernel headers"
config BR2_KERNEL_HEADERS_2_4_27
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.4.27 kernel headers"
config BR2_KERNEL_HEADERS_2_4_29
- depends !BR2_avr32 && !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.4.29 kernel headers"
config BR2_KERNEL_HEADERS_2_4_31
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.4.31 kernel headers"
config BR2_KERNEL_HEADERS_2_6_9
- depends !BR2_avr32 && BR2_DEPRECATED
+ depends on !BR2_avr32 && BR2_DEPRECATED
bool "Linux 2.6.9 kernel headers"
config BR2_KERNEL_HEADERS_2_6_11
- depends !BR2_avr32 && BR2_DEPRECATED
+ depends on !BR2_avr32 && BR2_DEPRECATED
bool "Linux 2.6.11 kernel headers"
config BR2_KERNEL_HEADERS_2_6_12
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.6.12 kernel headers"
config BR2_KERNEL_HEADERS_2_6_20_4
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.6.20.4 kernel headers"
config BR2_KERNEL_HEADERS_2_6_20
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.6.20.x kernel headers"
config BR2_KERNEL_HEADERS_2_6_21_5
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.6.21.5 kernel headers"
config BR2_KERNEL_HEADERS_2_6_21
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.6.21.x kernel headers"
config BR2_KERNEL_HEADERS_2_6_22_1
- depends !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_avr32 && !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.6.22.1 kernel headers"
config BR2_KERNEL_HEADERS_2_6_22_10
- depends !BR2_nios2 && BR2_DEPRECATED
+ depends on !BR2_nios2 && BR2_DEPRECATED
bool "Linux 2.6.22.10 kernel headers"
config BR2_KERNEL_HEADERS_2_6_22
- depends BR2_DEPRECATED
+ depends on BR2_DEPRECATED
bool "Linux 2.6.22.x kernel headers"
config BR2_KERNEL_HEADERS_2_6_23
- depends BR2_DEPRECATED
+ depends on BR2_DEPRECATED
bool "Linux 2.6.23.x kernel headers"
config BR2_KERNEL_HEADERS_2_6_24
- depends BR2_RECENT
+ depends on BR2_RECENT
bool "Linux 2.6.24.x kernel headers"
config BR2_KERNEL_HEADERS_2_6_25
@@ -91,14 +91,14 @@ endchoice
config BR2_KERNEL_HEADERS_IPMI
bool "use ipmi kernel patches"
default n
- depends BR2_KERNEL_HEADERS_2_6_20_4 || BR2_KERNEL_HEADERS_2_6_21_5 || BR2_KERNEL_HEADERS_2_6_22_1
+ depends on BR2_KERNEL_HEADERS_2_6_20_4 || BR2_KERNEL_HEADERS_2_6_21_5 || BR2_KERNEL_HEADERS_2_6_22_1
help
Apply patches which add IPMI sensor support.
config BR2_KERNEL_HEADERS_LZMA
bool "use lzma initramfs kernel patches"
default n
- depends BR2_KERNEL_HEADERS_2_6_21_5 || BR2_KERNEL_HEADERS_2_6_22_1
+ depends on BR2_KERNEL_HEADERS_2_6_21_5 || BR2_KERNEL_HEADERS_2_6_22_1
help
Apply patches which allow for lzma compressed
initramfs filesystems. This requires the lzma
@@ -107,14 +107,14 @@ config BR2_KERNEL_HEADERS_LZMA
config BR2_KERNEL_HEADERS_RT
bool "use realtime (-rt) kernel patches"
default n
- depends BR2_KERNEL_HEADERS_2_6_21_5 || BR2_KERNEL_HEADERS_2_6_22_1
+ depends on BR2_KERNEL_HEADERS_2_6_21_5 || BR2_KERNEL_HEADERS_2_6_22_1
help
Apply Ingo's realtime extensions to linux
config BR2_KERNEL_HEADERS_PATCH_DIR
bool "Add additional headers from $(KERNEL_HEADERS_PATCH_DIR)"
default n
- depends BR2_KERNEL_HEADERS_2_6_20_4 || BR2_KERNEL_HEADERS_2_6_21_5 || BR2_KERNEL_HEADERS_2_6_22_1 || BR2_KERNEL_HEADERS_2_6_22_10
+ depends on BR2_KERNEL_HEADERS_2_6_20_4 || BR2_KERNEL_HEADERS_2_6_21_5 || BR2_KERNEL_HEADERS_2_6_22_1 || BR2_KERNEL_HEADERS_2_6_22_10
help
Apply additional kernel patches defined by KERNEL_HEADERS_PATCH_DIR
in your board directory.
diff --git a/toolchain/uClibc/Config.in b/toolchain/uClibc/Config.in
index f81373df1a..fdf35b5be1 100644
--- a/toolchain/uClibc/Config.in
+++ b/toolchain/uClibc/Config.in
@@ -10,13 +10,13 @@ choice
Select the version of uClibc you wish to use.
config BR2_UCLIBC_VERSION_0_9_28_3
- depends BR2_DEPRECATED
+ depends on BR2_DEPRECATED
bool "uClibc 0.9.28.3"
- depends BR2_EXT_UCLIBC_VERSION_0_9_28_3
+ depends on BR2_EXT_UCLIBC_VERSION_0_9_28_3
config BR2_UCLIBC_VERSION_0_9_29
bool "uClibc 0.9.29"
- depends BR2_EXT_UCLIBC_VERSION_0_9_29
+ depends on BR2_EXT_UCLIBC_VERSION_0_9_29
config BR2_UCLIBC_VERSION_SNAPSHOT
bool "daily snapshot"